<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: v3 Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classudp__packet__parser.html">udp_packet_parser</a></li><li class="navelem"><a class="el" href="classudp__packet__parser_1_1v3.html">v3</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">v3 Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classudp__packet__parser_1_1v3-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a3d6c0f6d6ff1d207df07d9ecae281cab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d6c0f6d6ff1d207df07d9ecae281cab"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a3d6c0f6d6ff1d207df07d9ecae281cab">arp</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af205e59195f74c07ecac3c30f4abbcb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af205e59195f74c07ecac3c30f4abbcb7"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#af205e59195f74c07ecac3c30f4abbcb7">rarp</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1040e431ef782ac2a1acbb1b8b964e82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1040e431ef782ac2a1acbb1b8b964e82"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a1040e431ef782ac2a1acbb1b8b964e82">ip_pkt</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a51494e77a371e2a53aa0af4ec199014f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51494e77a371e2a53aa0af4ec199014f"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a51494e77a371e2a53aa0af4ec199014f">ping</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5eb4b7caecad2bd062f2bf295f94be42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5eb4b7caecad2bd062f2bf295f94be42"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a5eb4b7caecad2bd062f2bf295f94be42">ipbus_pkt</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a1678bc551d29a69da4343c5dc787d308"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1678bc551d29a69da4343c5dc787d308"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a1678bc551d29a69da4343c5dc787d308">ipbus_mask</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2c09dec4d12a2f98c805483f3e60f682"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c09dec4d12a2f98c805483f3e60f682"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a2c09dec4d12a2f98c805483f3e60f682">bigendian</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3c8b108acee36bddb3b9034c6c4c3941"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c8b108acee36bddb3b9034c6c4c3941"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a3c8b108acee36bddb3b9034c6c4c3941">littleendian</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a53632b68737839bf960ba30c3ba90d3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53632b68737839bf960ba30c3ba90d3a"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a53632b68737839bf960ba30c3ba90d3a">status_request</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6a5a6733640c0262875f70547ec9ce83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a5a6733640c0262875f70547ec9ce83"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a6a5a6733640c0262875f70547ec9ce83">resend</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af23b89d16c200689d4edc4e72fca64b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af23b89d16c200689d4edc4e72fca64b5"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#af23b89d16c200689d4edc4e72fca64b5">broadcast</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">mac_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a74a5b1165c3c06ca46321ae479e6f26e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74a5b1165c3c06ca46321ae479e6f26e"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a74a5b1165c3c06ca46321ae479e6f26e">pkt_drop_arp_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae11bc3bb6b2a78491c2e7beaae80151f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae11bc3bb6b2a78491c2e7beaae80151f"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#ae11bc3bb6b2a78491c2e7beaae80151f">pkt_drop_rarp_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a26a1e2ca90af27c84233322f73699d4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26a1e2ca90af27c84233322f73699d4c"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a26a1e2ca90af27c84233322f73699d4c">pkt_drop_ping_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15d1a62f314bd9cd63a1ceb07a5e1f8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15d1a62f314bd9cd63a1ceb07a5e1f8e"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a15d1a62f314bd9cd63a1ceb07a5e1f8e">pkt_drop_ip_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2ab988dcdc1fb1dc9108a44fe9414377"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ab988dcdc1fb1dc9108a44fe9414377"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a2ab988dcdc1fb1dc9108a44fe9414377">pkt_drop_ipbus_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec57523439598a161cc4915c33eb9bf9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec57523439598a161cc4915c33eb9bf9"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#aec57523439598a161cc4915c33eb9bf9">pkt_drop_payload_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac0a08af62cc7263bfcc4e423de3d27b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0a08af62cc7263bfcc4e423de3d27b6"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#ac0a08af62cc7263bfcc4e423de3d27b6">pkt_payload_drop_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa52b31ca1b24767b6ea320fdd6e34fac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa52b31ca1b24767b6ea320fdd6e34fac"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#aa52b31ca1b24767b6ea320fdd6e34fac">pkt_drop_reliable_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6d226671ffc92d978ae0a571abca317e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6d226671ffc92d978ae0a571abca317e"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a6d226671ffc92d978ae0a571abca317e">pkt_reliable_drop_sig</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aea31a00f0fcdf7d297f9e93e7c9d9323"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea31a00f0fcdf7d297f9e93e7c9d9323"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#aea31a00f0fcdf7d297f9e93e7c9d9323">ipbus_status_mask</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a62f79830eaaa640c2f9884ad10e116"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a62f79830eaaa640c2f9884ad10e116"></a>
<a class="el" href="classudp__packet__parser_1_1v3.html#a5a62f79830eaaa640c2f9884ad10e116">ipbus_hdr_mask</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__packet__parser_8vhd_source.html#l00035">35</a> of file <a class="el" href="udp__packet__parser_8vhd_source.html">udp_packet_parser.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="udp__packet__parser_8vhd_source.html">udp_packet_parser.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
